// ------------------------------------------------------------------------
// Copyright 2021 The Dapr Authors
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//     http://www.apache.org/licenses/LICENSE-2.0
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// ------------------------------------------------------------------------

param storageName string
param rgLocation string = resourceGroup().location
param confTestTags object = {}

resource storageAccount 'Microsoft.Storage/storageAccounts@2022-09-01' = {
  name: storageName
  sku: {
    name: 'Standard_RAGRS'
  }
  kind: 'StorageV2'
  location: rgLocation
  tags: confTestTags

  resource blobServices 'blobServices@2022-09-01' = {
    name: 'default'
    properties: {
      deleteRetentionPolicy: {
        enabled: true
        days: 1
      }
    }
  }

  resource tableServices 'tableServices@2022-09-01' = {
    name: 'default'
    properties: {}

    resource certificationTable 'tables@2022-09-01' = {
      name: 'certificationTable'
    }
  }
}
